squid(8)

NAME
squid - proxy caching server

SYNOPSIS
squid [ -dhisrvzCFNRSVYX ] [ -l facility ] [ -f config-file ] [ -[ au ] port ] [ -k signal ] [ -n service-name ] [ -O cmd-line ]

DESCRIPTION
squid is a high-performance proxy caching server for web clients, supporting FTP, gopher, ICAP, ICP, HTCP and HTTP data objects. Unlike traditional caching software, squid handles all requests in a single, non-blocking process.

squid keeps meta data and especially hot objects cached in RAM, caches DNS lookups, supports non-blocking DNS lookups, and implements negative caching of failed requests.

squid supports SSL, extensive access controls, and full request logging. By using the lightweight Internet Cache Protocols ICP, HTCP or CARP, squid caches can be arranged in a hierarchy or mesh for additional bandwidth savings.

squid consists of a main server program squid, some optional programs for custom processing and authentication, and some management and client tools. When squid starts up, it spawns a configurable number of helper processes, each of which can perform parallel lookups. This reduces the amount of time the cache waits for results.

squid is derived from the ARPA-funded Harvest Project http://harvest.cs.colorado.edu/

This manual page only lists the command line arguments. For details on how to configure squid see the file @DEFAULT_CONFIG_FILE@.documented, the Squid wiki FAQ and examples at http://wiki.squid-cache.org/ , or the configuration manual on the squid home page http://www.squid-cache.org/Doc/config/

OPTIONS

-a port
    Specify HTTP port number where Squid should listen for requests, in addition to any http_port specifications in squid.conf.

-d level
    Write debugging to stderr also.

-f file
    Use the given config-file instead of @DEFAULT_CONFIG_FILE@. If the file name starts with a ! or | then it is assumed to be an external command or command line. Can for example be used to pre-process the configuration before it is being read by Squid. To facilitate this Squid also understands the common #line notion to indicate the real source file.

-h  Print help message.

-i  Install as a Windows Service (see -n option).

-k reconfigure | rotate | shutdown | interrupt | kill | debug | check | parse
    Parse configuration file, then send signal to running copy (except -k parse) and exit.

-n name
    Specify Windows Service name to use for service operations, default is: Squid

-r  Remove a Windows Service (see -n option).

-s  Enable logging to syslog. Also configurable in @DEFAULT_CONFIG_FILE@

-l facility
    Use specified syslog facility. implies -s

-u port
    Specify ICP port number (default: 3130), disable with 0.

-v  Print version and build details.

-z  Create swap directories

-C  Do not catch fatal signals.

-F  Don't serve any requests until store is rebuilt.

-N  No daemon mode.

-O options
    Set Windows Service Command line options in Registry.

-R  Do not set REUSEADDR on port.

-S  Double-check swap during rebuild.

-X  Force full debugging.

-Y  Only return UDP_HIT or UDP_MISS_NOFETCH during fast reload.

FILES
@DEFAULT_CONFIG_FILE@
    The main configuration file. You must initially make changes to this file for squid to work. For example, the default configuration does not allow access from any browser.
*.default files
    Reference copy of the configuration file. Always kept up to date with the version of Squid you are using. Use this to look up the default configuration settings and syntax after upgrading.
@DEFAULT_CONFIG_FILE@.documented
    Reference copy of the configuration file. Always kept up to date with the version of Squid you are using. Use this to read the documentation for configuration options available in your build of Squid. The online configuration manual is also available for a full reference of options. seehttp://www.squid-cache.org/Doc/config/
cachemgr.conf
    The main configuration file for the web cachemgr.cgi tools.
msntauth.conf
    The main configuration file for the Sample MSNT authenticator.
errorpage.css
    CSS Stylesheet to control the display of generated error pages. Use this to set any company branding you need, it will apply to every Language Squid provides error pages for.
@DEFAULT_MIME_TABLE@ (mime_table)
    MIME type mappings for FTP gatewaying
@DEFAULT_ERROR_DIR@
    Location of squid error pages and templates.

SEE ALSO
cachemgr.cgi(8), pam_auth(8), squid_ldap_auth(8), squid_ldap_group(8), squid_session(8), squid_unix_group(8),
The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq The Squid Configuration Manual http://www.squid-cache.org/Doc/config/